'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _ethicalUtilityPath = require('ethical-utility-path');

var _minimatch = require('minimatch');

var _minimatch2 = _interopRequireDefault(_minimatch);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

const route = (() => {
    var _ref = _asyncToGenerator(function* (ctx, next, config) {
        const { file: { path } } = ctx;
        const { pattern } = config;
        const resolvedPattern = (0, _ethicalUtilityPath.absolute)(pattern);
        const resolvedPath = (0, _ethicalUtilityPath.absolute)(path);
        if ((0, _minimatch2.default)(resolvedPath, resolvedPattern)) {
            yield next();
        }
    });

    return function route(_x, _x2, _x3) {
        return _ref.apply(this, arguments);
    };
})();

const routeInit = pattern => {
    const config = { pattern };
    return (() => {
        var _ref2 = _asyncToGenerator(function* (ctx, next) {
            return yield route(ctx, next, config);
        });

        return function (_x4, _x5) {
            return _ref2.apply(this, arguments);
        };
    })();
};

exports.default = routeInit;
//# sourceMappingURL=index.js.map